package keenGame;

/*
 * Copyright (C) Luke Sleeman 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

//import java.awt.Color;
import java.awt.Component;
import java.awt.Font;

import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JLabel;

public class LoadingScreen extends Screen
{
	public LoadingScreen(Keen app)
	{
		super(app);
		
		setLayout(new BoxLayout(this, BoxLayout.Y_AXIS));
		//setBackground(new Color(0,191,255));
		
		add(Box.createVerticalGlue());
		
		JLabel loadText = new JLabel("Loading ...");
		loadText.setFont(new Font(null,Font.BOLD,25));
		loadText.setAlignmentX(Component.CENTER_ALIGNMENT);
		loadText.setAlignmentY(Component.CENTER_ALIGNMENT);
		add(loadText);
		
		add(Box.createVerticalGlue());

		JLabel controlText = new JLabel("Left key -- Move left");
		controlText.setAlignmentX(Component.CENTER_ALIGNMENT);
		add(controlText);
		controlText = new JLabel("Left key -- Move left");
		controlText.setAlignmentX(Component.CENTER_ALIGNMENT);
		add(controlText);
		controlText = new JLabel("Right key -- Move right");
		controlText.setAlignmentX(Component.CENTER_ALIGNMENT);
		add(controlText);
		controlText = new JLabel("Up key -- Look up");
		controlText.setAlignmentX(Component.CENTER_ALIGNMENT);
		add(controlText);
		controlText = new JLabel("Down key -- Look down");
		controlText.setAlignmentX(Component.CENTER_ALIGNMENT);
		add(controlText);
		controlText = new JLabel("Space bar -- Shoot");
		controlText.setAlignmentX(Component.CENTER_ALIGNMENT);
		add(controlText);
		controlText = new JLabel("Ctrl key -- Jump");
		controlText.setAlignmentX(Component.CENTER_ALIGNMENT);
		add(controlText);
		controlText = new JLabel("z key -- Toggle pogo");
		controlText.setAlignmentX(Component.CENTER_ALIGNMENT);
		add(controlText);
		controlText = new JLabel("Down key + Ctrl -- Jump Down");
		controlText.setAlignmentX(Component.CENTER_ALIGNMENT);
		add(controlText);
		controlText = new JLabel("Up key + Space bar -- Shoot up");
		controlText.setAlignmentX(Component.CENTER_ALIGNMENT);
		add(controlText);
		controlText = new JLabel("Down key + Space bar -- Shoot down");
		controlText.setAlignmentX(Component.CENTER_ALIGNMENT);
		add(controlText);
		
		add(Box.createVerticalGlue());

				//add(Box.createHorizontalGlue());


	
		
		//add(new JButton("Left key ............... Move left").setAlignmentX(Component.CENTER_ALIGNMENT));
//		add(new JButton("Left key ............... Move left").setAlignmentX(Component.CENTER_ALIGNMENT));
//		add(new JButton("Left key ............... Move left").setAlignmentX(Component.CENTER_ALIGNMENT));
//		add(new JButton("Left key ............... Move left").setAlignmentX(Component.CENTER_ALIGNMENT));
//		add(new JButton("Left key ............... Move left").setAlignmentX(Component.CENTER_ALIGNMENT));


		//add(new JButton("Right key .............. Move left"));
//		add(new JButton("Up key ................. look up"));
//		add(new JButton("Down key ............... look Down"));
		
		/*
		JPanel crap = new JPanel(new FlowLayout(FlowLayout.RIGHT));
		crap.setBackground(Color.GREEN);
		Box controlPanel = new Box(BoxLayout.Y_AXIS);
		controlPanel.setBackground(Color.RED);
		crap.add(controlPanel);
		add(controlPanel,"South");
		
		
		//add(new JPanel(new FlowLayout(FlowLayout.RIGHT)).add(controlPanel),"South");
		//JPanel controlPanel = new JPanel(new GridLayout(4, 1));
		JLabel foo = new JLabel("Left key ............... Move left");
		foo.setBackground(Color.BLACK);
		controlPanel.add(foo);
		
		JLabel foo2 = new JLabel("Left key ............... Move left");
		foo2.setBackground(Color.WHITE);
		controlPanel.add(foo2);
		
		controlPanel.add(new JLabel("Left key ............... Move left"));
		controlPanel.add(new JLabel("Right key .............. Move left"));
		controlPanel.add(new JLabel("Up key ................. look up"));
		controlPanel.add(new JLabel("Down key ............... look Down"));
		//add(controlPanel,"South");
		*/
		
		
	}
}
